package com.jarvis.dataCenter.runner;

import com.google.code.or.OpenReplicator;
import com.jarvis.common.redis.service.RedisService;
import com.jarvis.commons.open.replicator.info.ColumnInfo;
import com.jarvis.commons.open.replicator.keeper.TableInfoKeeper;
import com.jarvis.dataCenter.entity.report.ReportInvoiceInfo;
import com.jarvis.dataCenter.service.impl.report.ReportDoInfoServiceImpl;
import com.jarvis.dataCenter.service.impl.report.ReportInvoiceInfoServiceImpl;
import com.jarvis.dataCenter.service.report.ThreadService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author jinzhaopo
 * @date 2019-10-31 14:11
 */
@Component
@Order(value = 1)
@Slf4j
public class InitRunner implements ApplicationRunner {


    @Autowired
    private ThreadService threadService;

    @Autowired
    private RedisService redisService;

    @Override
    public void run(ApplicationArguments args) throws Exception {
//        redisService.del(ReportDoInfoServiceImpl.REDIS_KEY);
//        redisService.del(ReportCsOrderInfoServiceImpl.REDIS_KEY);
//        redisService.del(ReportSkuInfoServiceImpl.REDIS_KEY);
//        redisService.del(ReportSoPoInfoServiceImpl.REDIS_KEY);
//        redisService.del(ReportInvoiceInfoServiceImpl.REDIS_KEY);

        threadService.syncAgency();
        threadService.syncAddress();
        threadService.syncInvoiceInfo();
        threadService.sycnDoInfo();
        threadService.syncSku();
        threadService.syncCsInfo();
        threadService.syncSoInfo();


    }

}
